# Interface ThreadBindingListener

public interface ThreadBindingListener
Callback for establishing naming association when entering the application scope. This corresponds to setting the context classloader.

## Method Summary

Modifier and Type
Method
Description
`void`
`bind()`
Binds the current thread to the application context by setting up the naming context and context class loader.
`void`
`unbind()`
Unbinds the current thread from the application context by clearing the naming context and context class loader.

## Method Details

### bind

void bind()
Binds the current thread to the application context by setting up the naming context and context class loader.

### unbind

void unbind()
Unbinds the current thread from the application context by clearing the naming context and context class loader.